## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           seagull
Version:        0.2.0
Release:        %autorelease
Summary:        A SQLite helper library

License:        LGPL-2.1-or-later
URL:            https://keep.imfreedom.org/seagull/seagull
Source:         https://downloads.sourceforge.net/pidgin/%{name}-%{version}.tar.xz
Source1:        https://downloads.sourceforge.net/pidgin/%{name}-%{version}.tar.xz.asc
Source2:        https://keybase.io/grim/pgp_keys.asc

BuildRequires:  gnupg2
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gi-docgen >= 2024.1
BuildRequires:  meson
BuildRequires:  pkgconfig(glib-2.0) >= 2.76
BuildRequires:  pkgconfig(gio-2.0) >= 2.76
BuildRequires:  pkgconfig(gobject-2.0) >= 2.76
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(sqlite3) >= 3.27.0

%description
%{summary}


%package devel
Summary:        Development files for %{name}

%description devel
%{summary}


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc README.md AUTHORS ChangeLog
%license LICENSE
%{_libdir}/libseagull.so.0
%{_libdir}/libseagull.so.0.1.0
%{_libdir}/girepository-1.0/Seagull-1.0.typelib

%files devel
%doc %{_docdir}/seagull/
%{_includedir}/seagull-1.0/
%{_libdir}/libseagull.so
%{_libdir}/pkgconfig/seagull.pc
%{_datadir}/gir-1.0/Seagull-1.0.gir

%changelog
## START: Generated by rpmautospec
* Tue Feb 11 2025 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.2.0-1
- Update to latest version

* Fri Feb 07 2025 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.1.1-1
- Update to latest version

* Fri Feb 07 2025 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.1.0-1
- Initial commit
## END: Generated by rpmautospec
